var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var uiSchemaTemplates_exports = {};
__export(uiSchemaTemplates_exports, {
  default: () => uiSchemaTemplates_default
});
module.exports = __toCommonJS(uiSchemaTemplates_exports);
var import_database = require("@nocobase/database");
var uiSchemaTemplates_default = (0, import_database.defineCollection)({
  dumpRules: "required",
  name: "uiSchemaTemplates",
  autoGenId: false,
  fields: [
    {
      type: "uid",
      name: "key",
      primaryKey: true
    },
    {
      type: "string",
      name: "name",
      translation: true
    },
    {
      type: "string",
      name: "componentName"
    },
    {
      type: "string",
      name: "associationName"
    },
    {
      type: "string",
      name: "resourceName"
    },
    {
      type: "string",
      name: "collectionName"
    },
    {
      type: "string",
      name: "dataSourceKey"
    },
    {
      type: "belongsTo",
      name: "uiSchema",
      target: "uiSchemas",
      foreignKey: "uid"
    }
  ]
});
