var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var filter_form_block_exports = {};
__export(filter_form_block_exports, {
  default: () => filter_form_block_default
});
module.exports = __toCommonJS(filter_form_block_exports);
var import_server = require("@nocobase/server");
class filter_form_block_default extends import_server.Migration {
  appVersion = "<0.9.1-alpha.3";
  async up() {
    const result = await this.app.version.satisfies("<0.9.1-alpha.3");
    if (!result) {
      return;
    }
    const r = this.db.getRepository("uiSchemas");
    const items = await r.find({
      filter: {
        "schema.x-designer": "FormV2.FilterDesigner"
      }
    });
    await this.db.sequelize.transaction(async (transaction) => {
      for (const item of items) {
        const schema = item.schema;
        const decorator = schema["x-decorator"];
        schema["x-decorator"] = "FilterFormBlockProvider";
        item.set("schema", schema);
        console.log(item["x-uid"], decorator, schema["x-decorator"]);
        await item.save({ transaction });
      }
    });
  }
}
