var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var remove_parents_if_no_children_exports = {};
__export(remove_parents_if_no_children_exports, {
  removeParentsIfNoChildren: () => removeParentsIfNoChildren
});
module.exports = __toCommonJS(remove_parents_if_no_children_exports);
async function removeParentsIfNoChildren({ schemaInstance, db, options, params }) {
  const { transaction, oldParentUid } = options;
  const uiSchemaRepository = db.getRepository("uiSchemas");
  await uiSchemaRepository.recursivelyRemoveIfNoChildren({
    transaction,
    uid: oldParentUid,
    breakRemoveOn: params == null ? void 0 : params.breakRemoveOn
  });
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  removeParentsIfNoChildren
});
